@REM ###############################################################################
@REM # Licensed Materials - Property of IBM
@REM # 5724-T40 IBM License Metric Tool
@REM # 5724-S94 IBM Tivoli Asset Discovery for Distributed
@REM #
@REM # (C) Copyright IBM Corp. 2011,2013.  All Rights Reserved.
@REM #
@REM # US Government Users Restricted Rights - Use, duplication or
@REM # disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM ###############################################################################

@echo off

if "%1"=="-javaHome" ( 
	set JAVA_HOME=%~2
	goto :next
)

set ZEROGPATH=\Zero G Registry\.com.zerog.registry.xml

if exist "%ProgramFiles(x86)%%ZEROGPATH%" (
	set PPATH="%ProgramFiles(x86)%%ZEROGPATH%"
) else if exist "%ProgramFiles%%ZEROGPATH%" (
	set PPATH="%ProgramFiles%%ZEROGPATH%"
) else goto :javaerror

for /f "tokens=7,8 delims==/ " %%a in ('findstr "dc44d414-1ef2-11b2-afcc-b6ef25df9157" %PPATH%') do ( 
	if exist "%%a %%b" (
		set JAVA_HOME="%%a %%b"
		goto :next
	)
)

goto :javaerror

:next

set JVM=java.exe
set ACFS_PACKAGE_NAME=server

if exist "%JAVA_HOME%\bin\java.exe" set JVM=%JAVA_HOME%\bin\java.exe
if exist "%JAVA_HOME%\jre\bin\java.exe" set JVM=%JAVA_HOME%\jre\bin\java.exe

set SCRIPT_DIR=%~dp0

"%JVM%" -version 2>NUL >NUL
set RC=%ERRORLEVEL%
if "%RC%"=="0" goto run
else goto :javaerror

:run
call "%JVM%" -jar "%SCRIPT_DIR%\patchtool.jar" -home "%SCRIPT_DIR%\." -pkgname "%ACFS_PACKAGE_NAME%" -log "%SCRIPT_DIR%\log.txt" %1 %2 %3 %4 %5 %6 %7 %8
set RC=%ERRORLEVEL%

if not "%RC%"=="0" goto error;
exit /B

:error
@echo off
echo "ERROR: %RC%"
exit /B %RC%

:javaerror
@echo You must have java bundled with ILMT or...
@echo Run this script like: update.bat -javaHome ^<path to java home^>
@echo Tip: If you have ILMT installed - check for java in ^<LMT^>/_jvm or ^<LMT^>/jre
@echo      If you have base WAS installed - check ^<WAS^>/java
